%define src libnotify

%define ver_major 0.7
%def_enable introspection

Name: %src-gtk3
Version: %ver_major.6
Release: alt0.M60T.1
Summary: Desktop notification library
License: LGPLv2.1+
Group: Graphical desktop/GNOME
URL: http://live.gnome.org/libnotify
# git://git.gnome.org/libnotify
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: %src-%version.tar

Patch0: %src-0.7.6-t6_backport.diff
Patch1: %src-0.7.6-t6_find_prow.diff

BuildRequires: gtk-doc libgio-devel libgtk+3-devel xmlto
%{?_enable_introspection:BuildRequires: gobject-introspection-devel libgdk-pixbuf-gir-devel}

%add_findprov_lib_path %_libdir/%name

%description
The library that allows applications post notifications on the desktop
in accordance to the proposed Desktop Notification Specification.

%package devel
Summary: Development files for %name
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
Files needed to develop applications that use libnotify, a desktop
notification library.

%package devel-doc
Summary: Development documentation for %name
Group: Development/GNOME and GTK+
BuildArch: noarch

%description devel-doc
API documentation for %name in gtk-doc format

%package gir
Summary: GObject introspection data for libnotify
Group: System/Libraries
Requires: %name = %version-%release

%description gir
GObject introspection data for the desktop notification library

%package gir-devel
Summary: GObject introspection devel data for libnotify
Group: System/Libraries
BuildArch: noarch
Requires: %name-gir = %version-%release

%description gir-devel
GObject introspection devel data for the desktop notification library

%package -n notify-send-gtk3
Summary: A program to send desktop notifications
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description -n notify-send-gtk3
notify-send sends desktop notifications via a notification daemon from
the command line.

%prep
%setup -q -n %src-%version
%patch0 -p1
%patch1 -p1

mkdir -p m4

%build
%autoreconf
%configure \
	--enable-gtk-doc=no \
	--disable-static \
	--includedir=%_includedir/%name \
	--libdir=%_libdir/%name \
	%{subst_enable introspection}
%make_build

%check
%make check

%install
%make DESTDIR=%buildroot install
mv %buildroot%_bindir/notify-send %buildroot%_bindir/notify-send-gtk3
mv %buildroot%_libdir/%name/pkgconfig %buildroot%_libdir/pkgconfig
mv %buildroot%_libdir/pkgconfig/%src.pc %buildroot%_libdir/pkgconfig/%name.pc
mv %buildroot%_libdir/%name/girepository-1.0 %buildroot%_libdir/girepository-1.0

%files
%_libdir/%name/*.so.*

%files -n notify-send-gtk3
%_bindir/notify-send-gtk3


%files devel
%_libdir/%name/*.so
%_includedir/%name/*
%_pkgconfigdir/*.pc

# #%files devel-doc
# #%_datadir/gtk-doc/html/*

%if_enabled introspection
%files gir
%_libdir/girepository-1.0/*

%files gir-devel
%_datadir/gir-1.0/*
%endif

%changelog
* Tue Feb 04 2014 Motsyo Gennadi <drool@altlinux.ru> 0.7.6-alt0.M60T.1
- libnotify with gtk+3 renamed and backported to t6

* Tue Sep 03 2013 Alexey Shabalin <shaba@altlinux.ru> 0.7.6-alt1
- 0.7.6

* Fri Apr 06 2012 Alexey Shabalin <shaba@altlinux.ru> 0.7.5-alt1
- 0.7.5

* Thu Oct 13 2011 Alexey Shabalin <shaba@altlinux.ru> 0.7.4-alt1
- 0.7.4

* Mon May 30 2011 Alexey Shabalin <shaba@altlinux.ru> 0.7.3-alt2
- 0.7.3

* Fri Mar 18 2011 Alexey Tourbin <at@altlinux.ru> 0.6.0-alt3
- libnotify.pc: moved libnotify deps from Requires to Requires.private

* Sun Mar 13 2011 Valery Inozemtsev <shrek@altlinux.ru> 0.6.0-alt2
- rebuild for debuginfo

* Thu Nov 11 2010 Valery Inozemtsev <shrek@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Tue Nov 09 2010 Victor Forsiuk <force@altlinux.org> 0.4.5-alt2
- Rebuilt for soname set-versions.

* Wed Nov 26 2008 Victor Forsyuk <force@altlinux.org> 0.4.5-alt1
- 0.4.5

* Thu Mar 22 2007 Victor Forsyuk <force@altlinux.org> 0.4.4-alt1
- 0.4.4

* Tue Jan 09 2007 Victor Forsyuk <force@altlinux.org> 0.4.3-alt1
- 0.4.3

* Tue Sep 26 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.4.2-alt1
- Rebuilt with GTK+ 0.10 to enable necessary functions
- Added libnotify-devel-doc package
- Buildreq

* Thu Jul 06 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.4.2-alt0.1
- Updated to 0.4.2
- Polished descriptions
- Spec cleanup

* Thu May 04 2006 Vital Khilko <vk@altlinux.ru> 0.4.0-alt1
- 0.4.0

* Thu Feb 02 2006 Vital Khilko <vk@altlinux.ru> 0.3.2-alt1
- 0.3.2

* Sun Sep 17 2005 Vital Khilko <vk@altlinux.ru> 0.2.1-alt1
- initial build for ALT Linux Sisyphus

* Sun Sep 17 2005 Vital Khilko <vk@altlinux.ru> 0.2.1-alt1
- initial build for ALT Linux Sisyphus
